> For the complete documentation index, see [llms.txt](https://docs.trustlesswork.com/trustless-work/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.trustlesswork.com/trustless-work/oss-dapps.md).

# OSS dApps

- [Introduction](https://docs.trustlesswork.com/trustless-work/oss-dapps/introduction.md)
- [Backoffice](https://docs.trustlesswork.com/trustless-work/oss-dapps/backoffice.md): Interact with Escrows Seamlessly
- [Step 1: Accessing the Trustless Work Dapp and Logging In](https://docs.trustlesswork.com/trustless-work/oss-dapps/backoffice/step-1-accessing-the-trustless-work-dapp-and-logging-in.md)
- [Step 2: Creating a Profile and Requesting an API Key](https://docs.trustlesswork.com/trustless-work/oss-dapps/backoffice/step-2-creating-a-profile-and-requesting-an-api-key.md)
- [Step 3: Creating an Escrow](https://docs.trustlesswork.com/trustless-work/oss-dapps/backoffice/step-3-creating-an-escrow.md)
- [Step 4: Funding an Escrow](https://docs.trustlesswork.com/trustless-work/oss-dapps/backoffice/step-4-funding-an-escrow.md)
- [Step 5: Marking a Milestone as Done ✅](https://docs.trustlesswork.com/trustless-work/oss-dapps/backoffice/step-5-marking-a-milestone-as-done.md)
- [Step 6: Approving the Milestone](https://docs.trustlesswork.com/trustless-work/oss-dapps/backoffice/step-6-approving-the-milestone.md)
- [Step 7: Releasing the Payment](https://docs.trustlesswork.com/trustless-work/oss-dapps/backoffice/step-7-releasing-the-payment.md)
- [Resolving Disputes](https://docs.trustlesswork.com/trustless-work/oss-dapps/backoffice/resolving-disputes.md)
- [Escrow Viewer](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-viewer.md)
- [OfferHub - Marketplace](https://docs.trustlesswork.com/trustless-work/oss-dapps/offerhub-marketplace.md): Stablecoin-powered marketplace
- [System Components](https://docs.trustlesswork.com/trustless-work/oss-dapps/offerhub-marketplace/system-components.md)
- [Trust, Custody, and Boundaries](https://docs.trustlesswork.com/trustless-work/oss-dapps/offerhub-marketplace/trust-custody-and-boundaries.md)
- [Roles and Permissions](https://docs.trustlesswork.com/trustless-work/oss-dapps/offerhub-marketplace/roles-and-permissions.md)
- [Lifecycle and States](https://docs.trustlesswork.com/trustless-work/oss-dapps/offerhub-marketplace/lifecycle-and-states.md)
- [Core Flows](https://docs.trustlesswork.com/trustless-work/oss-dapps/offerhub-marketplace/core-flows.md)
- [User Accounts & Profiles](https://docs.trustlesswork.com/trustless-work/oss-dapps/offerhub-marketplace/core-flows/user-accounts-and-profiles.md)
- [Fund Account (Top-Up)](https://docs.trustlesswork.com/trustless-work/oss-dapps/offerhub-marketplace/core-flows/fund-account-top-up.md)
- [Purchase & Escrow Funding](https://docs.trustlesswork.com/trustless-work/oss-dapps/offerhub-marketplace/core-flows/purchase-and-escrow-funding.md)
- [Delivery & Approval](https://docs.trustlesswork.com/trustless-work/oss-dapps/offerhub-marketplace/core-flows/delivery-and-approval.md)
- [Disputes](https://docs.trustlesswork.com/trustless-work/oss-dapps/offerhub-marketplace/core-flows/disputes.md)
- [Release](https://docs.trustlesswork.com/trustless-work/oss-dapps/offerhub-marketplace/core-flows/release.md)
- [Payouts](https://docs.trustlesswork.com/trustless-work/oss-dapps/offerhub-marketplace/core-flows/payouts.md)
- [Tokenization - Private Credit](https://docs.trustlesswork.com/trustless-work/oss-dapps/tokenization-private-credit.md): We built this for Stellar Hack + on November 16-24 in Buenos Aires, Argentina. Pura Vida.
- [Introduction & Motivation](https://docs.trustlesswork.com/trustless-work/oss-dapps/tokenization-private-credit/introduction-and-motivation.md)
- [Lifecycle Overview](https://docs.trustlesswork.com/trustless-work/oss-dapps/tokenization-private-credit/lifecycle-overview.md)
- [Project Creator Flow](https://docs.trustlesswork.com/trustless-work/oss-dapps/tokenization-private-credit/project-creator-flow.md)
- [Project Manager Flow (Dashboard dApp)](https://docs.trustlesswork.com/trustless-work/oss-dapps/tokenization-private-credit/project-manager-flow-dashboard-dapp.md)
- [Investor Flow (Investor Portal dApp)](https://docs.trustlesswork.com/trustless-work/oss-dapps/tokenization-private-credit/investor-flow-investor-portal-dapp.md)
- [Future Roadmap](https://docs.trustlesswork.com/trustless-work/oss-dapps/tokenization-private-credit/future-roadmap.md)
- [Escrow Lab](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab.md): In this section, we built a demo project using the TW API.
- [Getting Started](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/getting-started.md): Start building the demo project.
- [Configuration](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/configuration.md): Initial configuration of external libs.
- [Context API](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/context-api.md): Providers that you'll need.
- [Wallet Setup](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/wallet-setup.md): We're going to use the Stellar Wallet Kit, and setup all the configuration in order to sign transactions.
- [Trustlines](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/trustlines.md): In Stellar, a Trustline is a link that a user (account) creates to trust and hold a specific asset issued by another account (like USDC, EURC, etc.). Without a Trustline, you can only hold XLM.
- [Services](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/services.md): We set a unique and generic service in order to interact with Trustless Work API.
- [Helpers](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/helpers.md): Some important helpers that we'll need.
- [Error Handling](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/error-handling.md): The best way to manage some errors.
- [Forms](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/forms.md): Recommended forms for every endpoint.
- [Initialize Escrow](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/forms/initialize-escrow.md): The ideal form for this endpoint.
- [Fund Escrow](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/forms/fund-escrow.md): The ideal form for this endpoint.
- [Get Escrow](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/forms/get-escrow.md): The ideal form for this endpoint.
- [Get Multiple Escrow Balances](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/forms/get-multiple-escrow-balances.md): The ideal form for this endpoint.
- [Resolve Dispute](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/forms/resolve-dispute.md): The ideal schema for this endpoint.
- [Change Milestone Status](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/forms/change-milestone-status.md): The ideal schema for this endpoint.
- [Change Milestone Flag](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/forms/change-milestone-flag.md): The ideal schema for this endpoint.
- [Change Dispute Flag](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/forms/change-dispute-flag.md): The ideal schema for this endpoint.
- [Release Funds](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/forms/release-funds.md): The ideal schema for this endpoint.
- [Update Escrow](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/forms/update-escrow.md): The ideal schema for this endpoint.
- [UI Components](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/ui-components.md): We provide a simple UI components in order to execute the endpoints.
- [Pages](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/ui-components/pages.md): The main page of escrows.
- [Cards](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/ui-components/cards.md): UI Cards Components.
- [Tabs](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/ui-components/tabs.md): Tabs UI Components.
- [Utils](https://docs.trustlesswork.com/trustless-work/oss-dapps/escrow-lab/ui-components/utils.md): Utils UI Components.
- [GrantFox - Reward Payouts](https://docs.trustlesswork.com/trustless-work/oss-dapps/grantfox-reward-payouts.md)
- [KindFi - Crowdfunding](https://docs.trustlesswork.com/trustless-work/oss-dapps/kindfi-crowdfunding.md)
- [Pacto - P2P OTC](https://docs.trustlesswork.com/trustless-work/oss-dapps/pacto-p2p-otc.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.trustlesswork.com/trustless-work/oss-dapps.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
